%global dlrn_nvr paunch-3.2.0-0.20180921003258.6d2ec11
%global dlrn 1
%define upstream_version 3.2.0
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global pypi_name paunch

%global common_desc \
Library and utility to launch and manage containers using YAML based configuration data.

Name:       python-%{pypi_name}
Version: 3.2.0
Release: 0.20180921003266%{?dist}
Summary:    Library and utility to launch and manage containers using YAML based configuration data

License:    ASL 2.0
URL:        http://pypi.python.org/pypi/%{pypi_name}
Source0: paunch-3.2.0-0.20180921003258.6d2ec11-6d2ec11c439e94795dc7f75ebe3f931f5eb47e92.tar.gz
Source10:   paunch-container-shutdown
Source11:   paunch-container-shutdown.service
Source12:   91-paunch-container-shutdown.preset
Source13:   netns-placeholder.service
Source14:   91-netns-placeholder.preset

# patches_ignore=DROP-IN-RPM
# patches_base=6d2ec11c439e94795dc7f75ebe3f931f5eb47e9
Patch0001: 0001-Fix-labels-to-take-multiple-values.patch
Patch0002: 0002-docker-compose-quote-health-cmd.patch
Patch0003: 0003-Fix-comparing-dictionaries-for-changes-detection.patch
Patch0004: 0004-Revert-docker-compose-quote-health-cmd.patch
Patch0005: 0005-Quote-the-health-check-command-argument-during-a-deb.patch
Patch0006: 0006-Check-if-volume-paths-exist-before-executing-Docker.patch
Patch0007: 0007-Revert-Check-if-volume-paths-exist-before-executing-.patch

BuildArch:  noarch
BuildRequires:  python2-setuptools
BuildRequires:  python2-pbr
BuildRequires:  python2-devel
BuildRequires:  PyYAML
BuildRequires:  systemd-units

# test requires
BuildRequires:  python2-mock
BuildRequires:  python2-oslotest
BuildRequires:  python2-testrepository
BuildRequires:  python2-testscenarios
BuildRequires:  python2-tenacity >= 3.2.1

Requires:   python2-cliff
Requires:   docker
Requires:   python2-pbr
Requires:   PyYAML
Requires:   python2-tenacity >= 3.2.1
Requires:   findutils
Requires:   iproute

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
%{common_desc}

This package contains the paunch python library code and the command utility.

%package doc
Summary: Documentation for paunch library and utility

BuildRequires: python2-sphinx
BuildRequires: python2-oslo-sphinx
BuildRequires: python2-openstackdocstheme
BuildRequires: openstack-macros

%description doc
%{common_desc}

This package contains auto-generated documentation.

%package tests
Summary: Tests for paunch library and utility

Requires:  python-%{pypi_name}
Requires:  python2-mock
Requires:  python2-oslotest
Requires:  python2-testrepository
Requires:  python2-testscenarios
Requires:  python2-tenacity >= 3.2.1

%description tests
%{common_desc}

This package contains library and utility tests.

%prep
%setup -q -n %{pypi_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

# Let's handle dependencies ourseleves
%py_req_cleanup

%build

%py2_build

%install
%py2_install

# Install shutdown script
install -p -D -m 755 %{SOURCE10} %{buildroot}%{_libexecdir}/paunch-container-shutdown

# Install systemd units
install -p -D -m 644 %{SOURCE11} %{buildroot}%{_unitdir}/paunch-container-shutdown.service

# Install systemd preset
install -p -D -m 644 %{SOURCE12} %{buildroot}%{_presetdir}/91-paunch-container-shutdown.preset

# Install netns unit
install -p -D -m 644 %{SOURCE13} %{buildroot}%{_unitdir}/netns-placeholder.service

# Install systemd preset for netns unit
install -p -D -m 644 %{SOURCE14} %{buildroot}%{_presetdir}/91-netns-placeholder.preset

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%check
%{__python2} setup.py test

%post
%systemd_post paunch-container-shutdown.service
%systemd_post netns-placeholder.service

%preun
%systemd_preun paunch-container-shutdown.service
%systemd_preun netns-placeholder.service

%files
%doc README.rst
%license LICENSE
%{_bindir}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}*
%{_libexecdir}/paunch-container-shutdown
%{_unitdir}/paunch-container-shutdown.service
%{_presetdir}/91-paunch-container-shutdown.preset
%{_unitdir}/netns-placeholder.service
%{_presetdir}/91-netns-placeholder.preset
%exclude %{python2_sitelib}/%{pypi_name}/tests

%files doc
%doc doc/build/html
%license LICENSE

%files tests
%license LICENSE
%{python2_sitelib}/%{pypi_name}/tests

%changelog
* Tue Nov 12 2019 Alex Schultz <aschultz@redhat.com> 3.2.0-0.201809210032646
- Actually activate new netns-placeholder unit (rhbz#1771563)
- Ensure we actually have /run/netns before starting containers (rhbz#1771563)

* Thu Sep 12 2019 Alex Schultz <aschultz@redhat.com> 3.2.0-0.20180921003264
- Revert "Check if volume paths exist before executing Docker." (rhbz#1751817)

* Tue Aug 13 2019 Grzegorz Grasza <xek@redhat.com> 3.2.0-0.20180921003263.6d2ec11
- Check if volume paths exist before executing Docker. (rhbz#1740789)

* Tue Jul 02 2019 Luke Short <ekultails@gmail.com> 3.2.0-0.20180921003262.6d2ec11
- Quote the health check command argument during a debug with print-cmd. (rhbz#1694572)

* Thu Jun 13 2019 Emilien Macchi <emilien@redhat.com> 3.2.0-0.20180921003261.6d2ec11
- Revert "docker/compose: quote health-cmd" (rhbz#1717144)
- Fix comparing dictionaries for changes detection (rhbz#1720030)

* Mon May 06 2019 Jakub Libosvar <libosvar@redhat.com> 3.2.0-0.20180921003260.6d2ec11
- docker/compose: quote health-cmd (rhbz#1694572)

* Thu Oct 25 2018 James Slagle <jslagle@redhat.com> 3.2.0-0.20180921003259.6d2ec11
- Fix labels to take multiple values (rhbz#1641568)

